#
# Conditional build:
%bcond_with	cairo		# disable Cairo even if present

Summary:	TCP Flow Recorder
Summary(pl.UTF-8):	Program zapisujący ruch TCP
Name:		tcpflow
Version:	1.5.0
Release:	1
License:	GPL v3
Group:		Applications/Networking
Source0:	http://ftp.debian.org/debian/pool/main/t/tcpflow/%{name}_%{version}+repack1.orig.tar.gz
# Source0-md5:	73859cd7b5f10ac7d7299c4bdb35d13b
Patch0:		0001-using-the-debian-package-of-libhttp-parser-instead-o.patch
URL:		https://github.com/simsong/tcpflow
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel
BuildRequires:	bzip2-devel
%{?with_cairo:BuildRequires:	cairo-devel}
#BuildRequires:	exiv2-devel
BuildRequires:	expat-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	http-parser-devel
BuildRequires:	libcap-ng-devel
BuildRequires:	libmd-devel
BuildRequires:	libpcap-devel
#BuildRequires:	libregex-devel
#BuildRequires:	lightgrep-devel
BuildRequires:	openssl-devel
BuildRequires:	pixman-devel
BuildRequires:	sqlite3-devel
BuildRequires:	tre-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tcpflow is program that captures data transmitted as part of TCP
connections, and and stores the data in a way that is convenient for
protocol analysis or debugging. Tcpflow stores all captured data in
two files per connection.

%description -l pl.UTF-8
Tcpflow jest programem, który przechwytuje dane przesyłane w ramach
połączeń TCP i zapisuje je w sposób wygodny do analizy lub śledzenia
protokołu - tworząc dwa pliki z danymi na każde przechwycone
połączenie.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CPPFLAGS="%{rpmcppflags} -std=c++11" \
	%{!?with_cairo:--enable-cairo=false}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md TODO.txt
%attr(755,root,root) %{_bindir}/tcpflow
%{_mandir}/man1/tcpflow.1*
%changelog
* Tue Sep 18 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tcpflow.git;a=log;h=master

* Tue Sep 18 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d21e29
- up to 1.5.0; use debian complete tarball

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ce1eb5
- release 4 (by relup.sh)

* Tue May 10 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 9428874
- rel 3; two patches from debian; fix unordered_map detection

* Thu Jan 14 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> cd72c1b
- rel 2; disable cairo by default; drags so many deps (mesa and stuff) which is not really needed on servers

* Tue Oct 06 2015 Elan Ruusamäe <glen@delfi.ee> 07c2c74
- cleanup unused br

* Tue Oct 06 2015 Elan Ruusamäe <glen@delfi.ee> c07aba3
- update url, add bcond to build without cairo

* Wed Sep 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e6a757c
- use upstream tarball (maintainer generated missing tarball)

* Wed Sep 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6322654
- up to 1.4.5

* Tue Aug 25 2015 Tomasz Pala <gotar@pld-linux.org> c9a107b
- added a bunch of Debian patches and BRs

* Tue Aug 25 2015 Tomasz Pala <gotar@pld-linux.org> f9dba17
- upgraded to 1.4.4

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> ad41c48
- release 4

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8e9909b
- release 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6714a67
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e659e36
- converted to UTF-8

* Mon Sep 20 2004 havner <havner@pld-linux.org> b5ccc4c
- [mass commit] rel up for amd64 rebuild

* Tue Sep 02 2003 Jakub Bogusz <qboosh@pld-linux.org> fd15480
- better pl, BR: ac,am

* Mon Sep 01 2003 kosmo <kosmo@pld-linux.org> d7c7408
- fixed changelog creating

* Mon Sep 01 2003 kosmo <kosmo@pld-linux.org> b294eea
- new spec

